Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class Atom

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.Literal
              jason.asSyntax.Atom

All Implemented Interfaces:
  LogicalFormula, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>

Direct Known Subclasses:
  Structure

    public class Atom

extends Literal

Represents an atom (a positive literal with no argument and no annotation, e.g. "tell", "a").

See Also:
  Serialized Form

Field Summary

Fields inherited from class jason.asSyntax.Literal
`LFalse, LNeg, LPos, LTrue, predicateIndicatorCache`

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`Atom(Literal l)`
`Atom(java.lang.String functor)`

Method Summary
`protected int` | `calcHashCode()`
`Term` | `clone()`
`int` | `compareTo(Term t)`
`boolean` | `equals(java.lang.Object o)`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`java.lang.String` | `getFunctor()` returns the functor of this literal
`boolean` | `isAtom()`
`java.lang.String` | `toString()`

Methods inherited from class jason.asSyntax.Literal
`addAnnot, addAnnots, addAnnots, addSource, addTerm, addTerms, addTerms, canBeAddedInBB, clearAnnots, copy, delAnnot, delAnnots, delSource, delSources, delTerm, equalsAsStructure, forceFullLiteralImpl, getAnnots, getAnnots, getArity, getAsListOfTerms, getPredicateIndicator, getSingletonVars, getSources, getTerm, getTerms, getTermsArray, hasAnnot, hasAnnot, hasSource, hasSource, hasSubsetAnnot, hasSubsetAnnot, hasTerm, importAnnots, isLiteral, logicalConsequence, makeTermsAnnon, makeVarsAnnon, makeVarsAnnon, negated, newFromListOfTerms, parseLiteral, setAnnots, setNegated, setTerm, setTerms`

Methods inherited from class jason.asSyntax.DefaultTerm
`apply, countVars, getErrorMsg, getSrcInfo, hashCode, hasVar, isArithExpr, isGround, isInternalAction, isList, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, parse, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`apply, countVars, getSrcInfo, hasVar, isArithExpr, isGround, isInternalAction, isList, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Constructor Detail

### Atom

    public Atom(java.lang.String functor)

### Atom

    public Atom(Literal l)

Method Detail

### getFunctor

    public java.lang.String getFunctor()

  Description copied from class: `Literal`
  returns the functor of this literal

  Specified by:
    `getFunctor` in class `Literal`

### clone

    public Term clone()

  Specified by:
    `clone` in interface `Term`
  Specified by:
    `clone` in class `DefaultTerm`

### isAtom

    public boolean isAtom()

  Specified by:
    `isAtom` in interface `Term`
  Overrides:
    `isAtom` in class `DefaultTerm`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `Term`
  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(Term t)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Term>`
  Overrides:
    `compareTo` in class `DefaultTerm`

### calcHashCode

    protected int calcHashCode()

  Specified by:
    `calcHashCode` in class `DefaultTerm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD